Subject: [os2genau_digest] No. 542
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 4 Feb 2003 00:02:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 03 February 2003
 Number  542
**************************************************

Subjects for today
 
1  [os2genau] Netbios problems : Paul Smedley" <paul at smedley.info>
2  Re: [os2genau] Netbios problems : Daryl Pilkington" <u3232 at home.dialix dot com>

**= Email   1 ==========================**

Date:  Mon, 03 Feb 2003 20:07:58 +1050 (CDT)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  [os2genau] Netbios problems

Hi All,

Have started having some problems with Netbios transfers since (I think) completing a 
hardware upgrade on the workstation that acts as my server.

Both machines have RTL8139 based NICs running Veit's driver.  I'm pretty certain the 
problem started after I upgraded the server from a K6-2 based system to an Athlon XP 
1800 system.

What happens is that on MOST writes that the client does to a shared drive, the written 
file is corrupted and has many errors when a COMP is done.

Transferring files via FTP results in 100% of files being OK - it's just Netbios transfers.

Anyone have any ideas on what to check?  Same thing occurs if the client is Win2k or 
eCS.  Tried updating the Realtek driver on the MCP machine to Veit's latest build and it 
made no difference.

Was thinking about changing protocol to TCPBEUI just to see if it would make any 
difference.

Any other ideas?

Regards,

Paul.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 03 Feb 2003 23:10:31 +1100 (EDT)
From:  "Daryl Pilkington" <u3232 at home.dialix dot com>
Subject:  Re: [os2genau] Netbios problems

Hi Paul,
I'd suggest trying with another brand NIC.
The RealTek NICs really are cheap & nasty. Could be some compatability
issue with the AMD chip & Realtek.
DEC "Tulip" or 3Com cards a pretty cheap & good.
You might want to do some packet sniffing with another PC.
DON'T run TCPBEUI, that'll open up another packet of worms.

On Mon, 03 Feb 2003 20:07:58 +1050 (CDT), Paul Smedley wrote:

>Hi All,
>
>Have started having some problems with Netbios transfers since (I think) completing a 
>hardware upgrade on the workstation that acts as my server.
>
>Both machines have RTL8139 based NICs running Veit's driver.  I'm pretty certain the 
>problem started after I upgraded the server from a K6-2 based system to an Athlon XP 
>1800 system.
>
>What happens is that on MOST writes that the client does to a shared drive, the written 
>file is corrupted and has many errors when a COMP is done.
>
>Transferring files via FTP results in 100% of files being OK - it's just Netbios transfers.
>
>Anyone have any ideas on what to check?  Same thing occurs if the client is Win2k or 
>eCS.  Tried updating the Realtek driver on the MCP machine to Veit's latest build and it 
>made no difference.
>
>Was thinking about changing protocol to TCPBEUI just to see if it would make any 
>difference.
>

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylp at pc-therapist dot com dot au
          Mob: 0425-251-300

----------------------------------------------------------------------------------